1. Openai
Mote API
english
  • 简体中文
  • english
  • Document Description
  • Chat
    • Openai
      • ChatCompletions Format
        POST
      • Responses Format
        POST
    • Gemini
      • Gemini Text Chat
      • Gemini Media Recognition
    • Native Claude Format
      POST
  • Images
    • Openai
      • Generate Images
      • Edit Image
    • Qwen
      • Generate Images
      • Edit Image
    • Nano Banana
      • Gemini Native Format
      • OpenAI Chat Format
  • Videos
    • Sora
      • Create Video
      • Get video task status
      • Get video content
    • Kling
      • Kling text-to-video
      • Get Kling text-to-video task status
      • Kling image-to-video
      • Get Kling image-to-video task status
    • Jimeng
      • Jimeng video generation
    • Create video generation task
      POST
    • Get video generation task status
      GET
  • Embeddings
    • Native OpenAI format
      POST
    • Native Gemini format
      POST
  • Completions
    • Native OpenAI format
      POST
  • Audio
    • Openai
      • Audio transcription
      • Audio translation
      • Text-to-speech
    • Native Gemini format
      POST
  • Realtime
    • Native OpenAI format
      GET
  • Rerank
    • Document reranking
      POST
  • Models
    • List Model
      • Native OpenAI format
      • Native Gemini format
  • Moderations
    • Native OpenAI format
  • Unimplemented
    • Fine-tuning
      • List fine-tuning tasks (not implemented)
      • Create fine-tuning task (not implemented)
      • Get fine-tuning task details (not implemented)
      • Cancel fine-tuning task (not implemented)
      • Get fine-tuning task events (not implemented)
    • Files
      • List files (not implemented)
      • Upload file (not implemented)
      • Get file info (not implemented)
      • Delete file (not implemented)
      • Get file content (not implemented)
  • Schemas
    • Schemas
      • User
      • Log
      • Model
      • Token
      • Usage
      • PageInfo
      • Channel
      • Redemption
      • ApiResponse
      • ModelsResponse
      • ErrorResponse
      • Message
      • MessageContent
      • Tool
      • ToolCall
      • GeminiModelsResponse
      • ChatCompletionResponse
      • ChatCompletionRequest
      • ChatCompletionStreamResponse
      • CompletionRequest
      • CompletionResponse
      • ResponseFormat
      • ResponsesRequest
      • ResponsesResponse
      • ResponsesStreamResponse
      • ClaudeRequest
      • ClaudeMessage
      • ClaudeResponse
      • EmbeddingRequest
      • EmbeddingResponse
      • ImageGenerationRequest
      • ImageEditRequest
      • ImageResponse
      • AudioTranscriptionRequest
      • AudioTranslationRequest
      • AudioTranscriptionResponse
      • SpeechRequest
      • RerankRequest
      • RerankResponse
      • VideoRequest
      • ModerationRequest
      • VideoResponse
      • ModerationResponse
      • VideoTaskResponse
      • GeminiRequest
      • VideoTaskMetadata
      • VideoTaskError
      • GeminiResponse
      • OpenAIVideo
      • OpenAIVideoError
  1. Openai

ChatCompletions Format

POST
/v1/chat/completions
Creates model responses based on chat history. Supports streaming and non-streaming responses.
Compatible with OpenAI Chat Completions API.

Request

Authorization
or
Body Params application/jsonRequired

Example
{
    "model": "gpt-4",
    "messages": [
        {
            "role": "system",
            "content": "string",
            "name": "string",
            "tool_calls": [
                {
                    "id": "string",
                    "type": "function",
                    "function": {
                        "name": "string",
                        "arguments": "string"
                    }
                }
            ],
            "tool_call_id": "string",
            "reasoning_content": "string"
        }
    ],
    "temperature": 1,
    "top_p": 1,
    "n": 1,
    "stream": false,
    "stream_options": {
        "include_usage": true
    },
    "stop": "string",
    "max_tokens": 0,
    "max_completion_tokens": 0,
    "presence_penalty": 0,
    "frequency_penalty": 0,
    "logit_bias": {
        "property1": 0,
        "property2": 0
    },
    "user": "string",
    "tools": [
        {
            "type": "function",
            "function": {
                "name": "string",
                "description": "string",
                "parameters": {}
            }
        }
    ],
    "tool_choice": "none",
    "response_format": {
        "type": "text",
        "json_schema": {}
    },
    "seed": 0,
    "reasoning_effort": "low",
    "modalities": [
        "text"
    ],
    "audio": {
        "voice": "string",
        "format": "string"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://moteapi.com/v1/chat/completions' \
--header 'Content-Type: application/json' \
--data '{
    "model": "gpt-4",
    "messages": [
        {
            "role": "system",
            "content": "string",
            "name": "string",
            "tool_calls": [
                {
                    "id": "string",
                    "type": "function",
                    "function": {
                        "name": "string",
                        "arguments": "string"
                    }
                }
            ],
            "tool_call_id": "string",
            "reasoning_content": "string"
        }
    ],
    "temperature": 1,
    "top_p": 1,
    "n": 1,
    "stream": false,
    "stream_options": {
        "include_usage": true
    },
    "stop": "string",
    "max_tokens": 0,
    "max_completion_tokens": 0,
    "presence_penalty": 0,
    "frequency_penalty": 0,
    "logit_bias": {
        "property1": 0,
        "property2": 0
    },
    "user": "string",
    "tools": [
        {
            "type": "function",
            "function": {
                "name": "string",
                "description": "string",
                "parameters": {}
            }
        }
    ],
    "tool_choice": "none",
    "response_format": {
        "type": "text",
        "json_schema": {}
    },
    "seed": 0,
    "reasoning_effort": "low",
    "modalities": [
        "text"
    ],
    "audio": {
        "voice": "string",
        "format": "string"
    }
}'

Responses

🟢200Success
application/json
Successfully created response
Bodyapplication/json

Example
{
    "id": "string",
    "object": "chat.completion",
    "created": 0,
    "model": "string",
    "choices": [
        {
            "index": 0,
            "message": {
                "role": "system",
                "content": "string",
                "name": "string",
                "tool_calls": [
                    {
                        "id": "string",
                        "type": "function",
                        "function": {
                            "name": "string",
                            "arguments": "string"
                        }
                    }
                ],
                "tool_call_id": "string",
                "reasoning_content": "string"
            },
            "finish_reason": "stop"
        }
    ],
    "usage": {
        "prompt_tokens": 0,
        "completion_tokens": 0,
        "total_tokens": 0,
        "prompt_tokens_details": {
            "cached_tokens": 0,
            "text_tokens": 0,
            "audio_tokens": 0,
            "image_tokens": 0
        },
        "completion_tokens_details": {
            "text_tokens": 0,
            "audio_tokens": 0,
            "reasoning_tokens": 0
        }
    },
    "system_fingerprint": "string"
}
🟠400Bad request
🟠429
Modified at 2026-07-03 06:28:45
Previous
Document Description
Next
Responses Format
Built with